Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface CacheManagerMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface CacheManagerMBean
extends ServiceConfigurationMBean

This MBean is the parent for the individual instances of CacheMBeans. It is used to signal individual caches (by name) to be flushed, to invalidate some cached item (by key).

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `flushCache(String cacheName)` Flush all instances of this named cache.
`void` | `invalidateKey(String cacheName, Serializable key)` Invalidate a key in the cache.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### flushCache

    public void flushCache(String cacheName)

  Flush all instances of this named cache. Send a notification to all registered CacheNotificationListeners, who will in turn notify their associated Cache objects to flush.

  These listeners are created by the CacheFactory object and registered with the CacheManagerMBean. Notifications are sent and tagged with the cache name.

  Parameters:
    `cacheName` - The name of the cache to flush
  MBean Dynamic Method

### invalidateKey

    public void invalidateKey(String cacheName,
                              Serializable key)

  Invalidate a key in the cache. Note that the key must be Serializable, as it may be sent to several clustered servers. It is also strongly urged (if not required) that the key implement hashcode() and equals() in such a way that the serialized key will match the intended key in the cache.

  This method will remove the key for all instances of the named cache. It sends a notification to all registered CacheNotificationListeners, who will in turn notify their associated Cache objects to invalidate this key.

  These listeners are created by the CacheFactory object and registered with the CacheManagerMBean. Notifications are sent and tagged with the cache name.

  Parameters:
    `cacheName` - The name of the cache to update
    `key` - the key of a key/value pair to in the cache to invalidate
  MBean Dynamic Method

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved